use std::str::FromStr;

#[derive(Debug, Copy, Clone, Eq, PartialEq, Serialize)]
pub enum Lang {
    Rus,
    #[allow(dead_code)]
    Eng,
}

impl Default for Lang {
    fn default() -> Self {
        Lang::Rus
    }
}

impl FromStr for Lang {
    type Err = ();

    fn from_str(s: &str) -> Result<Self, Self::Err> {
        match s {
            "Rus" | "rus" => Ok(Lang::Rus),
            "Eng" | "eng" => Ok(Lang::Eng),
            _ => Err(()),
        }
    }
}
